WoltLab Cloud OAuth 2.0 Server / OpenID Connect 1.0.6

Verbinden Sie externe Anwendungen schnell und einfach über die standardisierte Schnittstelle OAuth 2.0.

Größere Communities bestehen oftmals aus mehreren unterschiedlichen Plattformen (Community, Homepage, Game Server, Wiki, etc.). Diese sind nicht zwingend auf die WoltLab Suite limitiert oder es kommen mehrere WoltLab Suite Installation zum Einsatz. Das Problem welches dadurch entsteht ist, dass Benutzer sich mehrfach anmelden müssen, weil die Logins sich nicht synchronisieren.


Der OAuth 2.0 Server ermöglicht einen zentralen Login für unterschiedliche Plattformen über einen anerkannten Standard. Damit können sich Benutzer zentral über die WoltLab Suite in anderen Anwendungen anmelden. Der Datenaustausch erfolgt dabei über ein sicheres Protokoll, wo keine Kennwörter ausgetauscht werden. Dadurch können auch Drittanbieter leicht angebunden werden.


Neben einer OAuth 2.0 Server-Komponente kommt die Erweiterung auch mit einem eigenen Authentifizierungsmodul, welches in anderen WoltLab Suite Instanzen installiert werden kann. Über dieses Modul können sich Benutzer direkt über die Hauptseite auch auf den anderen Seiten einloggen. Die lästige Registrierung entfällt. Dabei wird das OpenID Connect Protokoll verwendet.


Der OAuth 2.0 Server unterstützt verschiedene Genehmigungsprozesse, welche von anderen Integrationen benutzt werden können:

  • authorization code
  • implicit
  • resource owner password credentials
  • client credentials
  • refresh token

Zusätzlich kann für jede Anwendung genau definiert werden, welche Daten geteilt werden. Diese müssen auch vom Benutzer vor dem eigentlichen Teilen mit der Drittanwendung bestätigt werden. Diese ermöglicht eine besonders sichere und datenschutzkonforme Umsetzung. Die Art der Daten können per Plugin-Schnittstelle bei Bedarf erweitert werden.



Verweise und weitere Informationen

Lizenzbedingungen: www.viecode.com/licensing-conditions/

Images

  • Wird es auch eine Version für die 3.0 geben?

    • Nein, wir unterstützen nur das WSC 3.1, 5.2 (und 5.3).

Customers Who Bought This File Also Bought